Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/Debug/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugCitrus/Makefile	(revision 342)
@@ -382,5 +382,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/DebugEther/Makefile	(revision 342)
@@ -380,5 +380,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/echonet_main.c	(revision 342)
@@ -50,5 +50,5 @@
 #include "echonet_main.h"
 #include "echonet_cfg.h"
-#include "rx630.h"
+#include "target_kernel_impl.h"
 
 /* TODO: メーカーコードを設定 */
@@ -378,4 +378,9 @@
 	main_btn1_state = (btn1 & 0x80) != 0;
 	main_btn2_state = (btn2 & 0x80) != 0;
+
+	ER ret = act_tsk(MAIN_TASK);
+	if (ret != E_OK) {
+		syslog(LOG_ERROR, "act_tsk");
+	}
 }
 
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.c	(revision 342)
@@ -76,4 +76,5 @@
 #include <btstack/utils.h>
 #include "ntp_cli.h"
+#include "netcmd.h"
 
 ID ws_api_mailboxid = MAIN_DATAQUEUE;
@@ -82,5 +83,5 @@
 #ifdef IF_ETHER_BTUSB
 extern int bt_bnep_mode;
-
+/* PANU向けリモートアドレス */
 // BUFFALLO
 //bd_addr_t remote_addr = { 0x00,0x1B,0xDC,0x04,0x5C,0x2D };
@@ -143,5 +144,4 @@
 
 ntshell_t ntshell;
-void _start_c(long *p);
 
 /*
@@ -149,13 +149,4 @@
  */
 void main_task(intptr_t exinf)
-{
-	long args[] = {
-		1,
-		(long)"ntshell",
-	};
-	_start_c(args);
-}
-
-int main(int argc, char **argv)
 {
 #ifdef IF_ETHER_BTUSB
@@ -169,6 +160,4 @@
 	ntshell_set_prompt(&ntshell, "NTShell>");
 	ntshell_execute(&ntshell);
-
-	return 0;
 }
 
@@ -184,5 +173,5 @@
 	fno.lfsize = _MAX_LFN + 1;
 #endif
-	ER ret2;
+	ER ret;
 
 	ntshell_task_init();
@@ -239,6 +228,6 @@
 #endif
 
-	ret2 = get_tim(&main_obj.now);
-	if (ret2 != E_OK) {
+	ret = get_tim(&main_obj.now);
+	if (ret != E_OK) {
 		syslog(LOG_ERROR, "get_tim");
 		ext_tsk();
@@ -309,9 +298,4 @@
 	echonet_change_netif_link(link_up, up);
 }
-
-extern int usrcmd_ping(int argc, char **argv);
-extern int usrcmd_dhcp4c(int argc, char **argv);
-extern int usrcmd_dnsc(int argc, char **argv);
-extern int usrcmd_ntpc(int argc, char **argv);
 
 static const cmd_table_t cmdlist[] = {
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/main.cfg	(revision 342)
@@ -84,4 +84,4 @@
 INCLUDE("echonet_main.cfg");
 
-CRE_TSK(MAIN_TASK, { TA_ACT, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
+CRE_TSK(MAIN_TASK, { TA_NULL, 0, main_task, MAIN_PRIORITY, MAIN_STACK_SIZE, NULL });
 CRE_DTQ(MAIN_DATAQUEUE, { TA_TFIFO, NUM_MAIN_DATAQUEUE, NULL });
Index: asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/app3_human_detec/src/tinet_app_config.h	(revision 342)
@@ -29,5 +29,5 @@
  *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
- *  @(#) $Id$
+ *  @(#) $Id: tinet_app_config.h 1505 2018-04-17 11:22:02Z coas-nagasima $
  */
 
@@ -624,5 +624,5 @@
 /* DNS サーバの IP アドレス */
 
-#if !defined(DHCP6_CLI_CFG)
+//#if !defined(DHCP6_CLI_CFG)
 
 #define IPV6_ADDR_DNS_INIT	\
@@ -632,9 +632,9 @@
 	    UINT_C(0xfe), UINT_C(0x56), UINT_C(0xc5), UINT_C(0xd6) }}}
 
-#endif	/* of #if !defined(DHCP6_CLI_CFG) */
-
-#if !defined(DHCP4_CLI_CFG)
-#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,2,1)
-#endif
+//#endif	/* of #if !defined(DHCP6_CLI_CFG) */
+
+//#if !defined(DHCP4_CLI_CFG)
+#define IPV4_ADDR_DNS		MAKE_IPV4_ADDR(192,168,137,1)
+//#endif
 
 /* DOMAIN 名 */
